Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.jsp
Interface JspConstants

All Known Implementing Classes:
  JspBase, JspHelper

public interface JspConstants

Prescribes constants used for JSP, Personalization, and Portal run-time and tools administration purposes.

Field Summary
`static String` | `DATE_FORMAT` The formatting string used to represent a date.
`static String` | `EDIT_DELEGATED_ADMIN_NAV` Used in the NavLocation for hightlighting "Edit Group Admins" in the left_navbar.
`static String` | `GROUP_PORTAL_NAV` Used in the NavLocation for hightlighting "Group Portal Attributes" in the left_navbar.
`static String` | `JSP_TOOLS_GUIDE_FEATURES` The window features of the "Developer's Guide" reference page.
`static String` | `PAGES_LAYOUTS_PORTLETS_NAV` Used in the NavLocation for hightlighting "Pages & Portlets" in the left_navbar.
`static String` | `SKINS_NAV` Used in the NavLocation for hightlighting "Skins" in the left_navbar.
`static String` | `USER_GROUP_NAV` Used in the NavLocation for hightlighting "User Group Mgmt." in the left_navbar.
`static String` | `USERS_NAV` Used in the NavLocation for hightlighting "User Management" in the left_navbar.

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

  The formatting string used to represent a date.

  See Also:
    Constant Field Values

### JSP_TOOLS_GUIDE_FEATURES

    public static final String JSP_TOOLS_GUIDE_FEATURES

  The window features of the "Developer's Guide" reference page.

  See Also:
    Constant Field Values

### USERS_NAV

    public static final String USERS_NAV

  Used in the NavLocation for hightlighting "User Management" in the left_navbar.

  See Also:
    Constant Field Values

### USER_GROUP_NAV

    public static final String USER_GROUP_NAV

  Used in the NavLocation for hightlighting "User Group Mgmt." in the left_navbar.

  See Also:
    Constant Field Values

### GROUP_PORTAL_NAV

    public static final String GROUP_PORTAL_NAV

  Used in the NavLocation for hightlighting "Group Portal Attributes" in the left_navbar.

  See Also:
    Constant Field Values

### EDIT_DELEGATED_ADMIN_NAV

    public static final String EDIT_DELEGATED_ADMIN_NAV

  Used in the NavLocation for hightlighting "Edit Group Admins" in the left_navbar.

  See Also:
    Constant Field Values

### SKINS_NAV

    public static final String SKINS_NAV

  Used in the NavLocation for hightlighting "Skins" in the left_navbar.

  See Also:
    Constant Field Values

### PAGES_LAYOUTS_PORTLETS_NAV

    public static final String PAGES_LAYOUTS_PORTLETS_NAV

  Used in the NavLocation for hightlighting "Pages & Portlets" in the left_navbar.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved